## unattended-upgrades 1.17

=== debian/changelog ===
unattended-upgrades (1.17) unstable; urgency=medium

  [ Amit Gurdasani ]
  * Check that a candidate is available before checking the version has changed.
  * Add test case to check upgrade calculation behavior for a package with no
    candidate.

  [ Balint Reczey ]
  * Fix help about --no-minimal-upgrade-steps (Closes: #946379)
  * data/50unattended-upgrades.Ubuntu: add new ESM repositories (LP: #1857051)

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 23 Jan 2020 16:20:04 +0100

unattended-upgrades (1.16) unstable; urgency=medium

  [ Kaupo Arulo ]
  * Allow package downgrade if Pin-Priority exceeds 1000

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Use set -e rather than passing -e on the shebang-line.
  * Add missing colon in closes line.
  * Fix day-of-week for changelog entries 0.38.

  [ Balint Reczey ]
  * Save a Cache.clear() in download-only mode
  * debian/unattended-upgrades.service: Add /run to RequiresMountsFor
    to work around long-standing systemd issue of not resolving symlinks to
    mounts: https://github.com/systemd/systemd/issues/8907 (Closes: #946823)
  * Keep mypy 0.750 happy.
  * pep8: fix line breaks

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 16 Dec 2019 19:58:50 +0100

unattended-upgrades (1.15) unstable; urgency=medium

  [ Tobias Bannert ]
  * update german translation.
    Improved some formulations and punctuation.

  [ Maarten ]
  * Update Dutch translation (Closes: #941672)

  [ Balint Reczey ]
  * autopkgtest: Retry failing downloads a few times
  * test/autopkgtest_kernel_patterns.py: Add debug statements
  * test/autopkgtest_kernel_patterns.py: Use stricter pattern for
    packages to check
  * debian/tests/control: Mark upgrade-between-snapshots as flaky
    (Closes: #941752)
  * Fix whitespace (LP: #1848036)
  * Explain sanity check failures better
  * Adjust only direct dependencies when falling back to adjusting more
    packages.
    Adjusting all transitive dependencies is found to slow down upgrades too
    much when many packages were upgradable but not with adjustments taking
    place. If a package upgrade to be installed by unattended-upgrades requires
    adjusting a transitive but not direct dependency, please add this
    dependency as a direct dependency of the package to unlock the upgrade.
    (Closes: #935653) (LP: #1848357)
  * debian/tests/common-functions: Don't sleep after successful u-u run

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 22 Oct 2019 18:48:33 +0200

=== debian/control ===
Source: unattended-upgrades
Maintainer: Michael Vogt <mvo@debian.org>
Uploaders: Balint Reczey <rbalint@ubuntu.com>
Section: admin
Priority: optional
Build-Depends: debhelper (>= 9.20160709),
               equivs,
               po-debconf,
               python3,
               python3-dbus,
               python3-distutils-extra,
               python3-gi,
               python3-setuptools
Build-Depends-Indep: python3-dev,
                     python3-coverage,
                     python3-distro-info,
                     pycodestyle | pep8,
#                    powermgmt-base, (tests disable on_ac_power checks)
                     pyflakes3,
                     python3-apt,
                     python3-mock,
                     lsb-release
Standards-Version: 4.1.4
Vcs-Git: https://github.com/mvo5/unattended-upgrades.git

Package: unattended-upgrades
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         debconf,
         python3,
         python3-apt,
         python3-dbus,
         python3-distro-info,
         ucf,
         lsb-release,
         lsb-base,
         xz-utils
Recommends: systemd-sysv | cron | cron-daemon | anacron
Suggests: bsd-mailx,
          default-mta | mail-transport-agent,
          needrestart,
          powermgmt-base,
          python3-gi
Description: automatic installation of security upgrades
 This package can download and install security upgrades automatically
 and unattended, taking care to only install packages from the
 configured APT source, and checking for dpkg prompts about
 configuration file changes.
 .
 This script is the backend for the APT::Periodic::Unattended-Upgrade
 option.

## unattended-upgrades 2.0

=== debian/changelog ===
unattended-upgrades (2.0) unstable; urgency=medium

  * Revert relying fully on pinning. APT's resolver can't be fully relied
    on because sometimes it does not find the solution.
  * Treat locally installed package versions as coming from a whitelisted origin
  * Don't list kept packages in dry-run mode.
    Since the kept packages are calculated based on the final system state
    all packages that would be upgraded would be listed as kept in dry-run mode.
  * Try installing/upgrading packages without any adjustment first.
    The applied pinning should be enough for APT's resolver to find the right
    candidate most of the time. The candidate version adjustments are still done
    in cases where APT's resolver fails
  * Report only higher available allowed versions with higher priority as kept
    (Closes: #952569)
  * Drop very long debug message about checking package list file
  * Honor pinning when listing origin of kept back packages

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 12 Mar 2020 22:52:58 +0100

unattended-upgrades (1.18) experimental; urgency=medium

  [ louib ]
  * Update blacklist translations
  * Fix syntax in template conf files

  [ Balint Reczey ]
  * Keep mypy 0.761 happy
  * test: Create empty dirs to save kept packages list to them
  * Log explanation about kept back packages (LP: #1850964)
    (Closes: #945837, #903875)
  * Use GitHub Actions for CI instead of Travis.
    Run tests in Ubuntu Focal release because older releases don't have the
    needed python-apt version.
  * debian/tests/common-functions: Use backported python-apt from a PPA on Eoan
  * debian/tests: Skip upgrade-between-snapshots test.
    Python-apt's version is sid is too low for unattended-upgrades to work.
  * Use apt_pkg.Hashes instead of deprecated apt_pkg.md5sum()
  * autopkgtest: Skip upgrate-all-security in sid because buster can't be tested
  * Make allowed_origins, blacklist and whitelist attributes of
    UnattendedUpgradesCache
  * Make strict_whitelist attribute of UnattendedUpgradesCache
  * Apply pinning to disable not allowed origins and honor blacklist/whitelist.
    This makes candidate adjustments obsolete, since apt's resolver would pick
    candidates only from allowed origins by itself unless local pinning
    configuration overrides that.
  * Rely fully on pinning to disable allowed origins and stop adjusting
    candidates.
  * Drop Unattended-Upgrade::Allow-downgrade since now pinning is honored and
    downgrades are allowed for package versions with priority >= 1000.
    (Closes: #905877, #919046, #768087, #946491) (LP: #1251228, #1434115)
  * Don't ignore allowed origin when the package's priority is < 100.
    This used to be the way of honoring the priority, but now this special case
    prevents the package from showing up as a package kept back.
  * Assume frontend locking to be supported.
    Python3-apt (>= 1.9.6~) is required which supports the frontend locking API

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 25 Feb 2020 19:28:13 +0100

## unattended-upgrades 2.3

=== debian/changelog ===
unattended-upgrades (2.3) unstable; urgency=medium

  * Fix checking if Python regexp is also a POSIX regexp
  * Prepend implied '^' when converting Python regex to a POSIX one
  * Blacklist not trusted packages and ones with conffile prompts
    instead of just pinning them once with NEVER_PIN which is can be cleared
    later. (LP: #1871615) (Closes: #956339)

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 14 Apr 2020 00:37:21 +0200

unattended-upgrades (2.2) unstable; urgency=medium

  * ci: Use apt-get instead of apt to avoid warnings
  * Don't raise NoAllowedOriginError from call_adjusted() (LP: #1871633)
  * Clear cache changes in do_install() instead of raising error when a
    package is marked for removal. (LP: #1871639)

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 09 Apr 2020 15:29:33 +0200

unattended-upgrades (2.1) unstable; urgency=medium

  * Don't try adjusting candidate if none of the versions is a candidate
    (Closes: #955135)
  * Try marking package for installation or upgrade only when it is allowed
    i.e. honor whitelist and blacklist, too.
  * debian/tests/upgrade-between-snapshots: Restore running test

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 30 Mar 2020 20:59:29 +0200

=== debian/tests/control ===
Tests: run-tests test-systemd.py
Depends: @, @builddeps@
Restrictions: needs-root, isolation-container, needs-reboot

Tests: upgrade-all-security
Depends: @, @builddeps@, debootstrap, distro-info
Restrictions: needs-root, build-needed, skippable

Tests: upgrade-between-snapshots
Restrictions: needs-root, build-needed, flaky, skippable
Depends: @, @builddeps@, debootstrap

Tests: kernel-patterns
Depends: @, @builddeps@
Restrictions: build-needed, allow-stderr

## unattended-upgrades 2.3ubuntu0.1

=== debian/changelog ===
unattended-upgrades (2.3ubuntu0.1) focal; urgency=medium

  [ Balint Reczey ]
  * Fix checking if an upgrade/install marking succeeded.
    The false negative result caused unattended-upgrades trying to apply
    workarounds to upgrade/install the package using excessive amount of CPU
    time. (Closes: #958883) (LP: #1877769)
  * Fix indentation and type error (LP: #1883082)

  [ Jose Manuel Santamaria Lema ]
  * Fix crash occuring when strict whitelist is in use (LP: #1883082)

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 21 Jul 2020 17:20:12 +0200

## unattended-upgrades 2.3ubuntu0.1+10.0trisquel2

=== debian/changelog ===
unattended-upgrades (2.3ubuntu0.1+10.0trisquel2) nabia; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 21 Sep 2021 16:09:40 +0000

## unattended-upgrades 2.3ubuntu0.1+10.0trisquel4

=== debian/changelog ===
unattended-upgrades (2.3ubuntu0.1+10.0trisquel4) nabia; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 24 May 2022 12:36:47 +0000

## unattended-upgrades 2.3ubuntu0.3

=== test/Makefile ===
#!/usr/bin/make

all: check

test-packages:
	$(MAKE) -C packages

check: test-packages
	# Between the two invocations of the test files (one with python and
	# the second using python-coverage), we remove the content of
	# __pycache__ to address the following bug:
	# https://bugs.launchpad.net/ubuntu/bionic/+source/unattended-upgrades/+bug/1974223
	set -e; \
	find . -name 'test_*.py' | \
	while read file; do \
	    if [ -x $$file ]; then \
		echo "Running $$file with python3"; \
	    	python3 $$file 2>&1; \
		rm -rf __pycache__ ; \
		echo "Running $$file with python3-coverage"; \
		python3 -m coverage run -a $$file 2>&1; \
	    fi \
	done

clean:
	$(MAKE) -C packages clean
	rm -rf ./aptroot/var/cache/
	rm -rf ./aptroot/var/lib/apt
	rm -rf ./aptroot/var/run
	find .. -type d -name __pycache__ | xargs rm -rf

coverage-html:
	echo "output in htmlcov/
	python3 -m coverage html

=== debian/changelog ===
unattended-upgrades (2.3ubuntu0.3) focal; urgency=medium

  * Fix FTBFS following change in the way apt detects automatically removable
    kernels (LP: #1974223)
  * Work around autopkgtest failure by removing __pycache__ in the test suite
    before the invocation of python-coverage (LP: #1974223) 
  * Added new test depends on apt to trigger autopkgtest runs automatically
    when apt is upgraded.

 -- Olivier Gayot <olivier.gayot@canonical.com>  Thu, 19 May 2022 19:38:48 +0200

unattended-upgrades (2.3ubuntu0.2) focal; urgency=medium

  [ Brian Murray ]
  * kernel/postinst.d/unattended-upgrades: check to see if canonical-livepatch
    is installed and enabled. In the event that it is and it says a reboot is
    required do not update reboot-required files so that only one reboot
    message appears in the message of the day. (LP: #1747499)

 -- Olivier Gayot <olivier.gayot@canonical.com>  Mon, 25 Apr 2022 15:42:11 +0200

=== debian/rules ===
#!/usr/bin/make -f

PYTHON=python3
DIST=$(shell dpkg-vendor --query Vendor)
TARGET_DIST=$(shell dpkg-parsechangelog -S Distribution)

%:
	dh $@ --with=systemd

override_dh_auto_build:
	# copy the right template into place
	cp data/50unattended-upgrades.$(DIST) data/50unattended-upgrades
	$(PYTHON) setup.py build

override_dh_auto_test:
	$(MAKE) -C test

override_dh_auto_install:
	$(PYTHON) setup.py install \
		--root=$(CURDIR)/debian/unattended-upgrades \
		--install-layout=deb

override_dh_installinit:
	# We do not want to run the init script in the postinst/prerm, its
	# really only useful on shutdown, see Debian bug #645919.
	dh_installinit -r --no-start

override_dh_auto_clean:
	# Sanity-check before upload.
ifneq ($(TARGET_DIST),UNRELEASED)
	for i in $$(md5sum data/50unattended-upgrades.* | grep -v md5sum | cut -d" " -f1); do \
		if ! grep -q $$i data/50unattended-upgrades.md5sum ; then \
			echo "ERROR: $$i is missing from data/50unattended-upgrades.md5sum"; \
			exit 1; \
		fi; \
	done
endif
	if sort data/50unattended-upgrades.md5sum | uniq -c  | grep -v " 1 " ; then \
		echo "ERROR:  ^ duplicate lines in data/50unattended-upgrades.md5sum"; \
		exit 1; \
	fi
	set -e; for f in unattended-upgrade unattended-upgrade-shutdown; do \
		ln -nsf $$f $$f.py; \
		py3compile $$f.py; \
		rm -f $$f.py; \
	done
	$(PYTHON) setup.py clean -a
	rm -rf .coverage \
		test/.coverage \
		test/.mypy_cache \
		test/root.*/var/cache/apt/*.bin \
		test/root.*/var/lib/dpkg/lock-frontend \
		test/root.*/var/log \
		test/root.unused-deps/var/cache/apt/archives/lock \
		test/root.unused-deps/var/lib/apt/extended_states \
		test/root.unused-deps/var/lib/dpkg/status \
		test/root.unused-deps/var/run/unattended-upgrades.progress \
		test/u-u.lock

## unattended-upgrades 2.3ubuntu0.3+10.0trisquel4

=== debian/changelog ===
unattended-upgrades (2.3ubuntu0.3+10.0trisquel4) nabia; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 09 Jul 2022 06:23:39 +0000

## unattended-upgrades 2.7

=== debian/changelog ===
unattended-upgrades (2.7) unstable; urgency=medium

  * Fix test_rewind on Debian Sid fixing FTBFS.

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 05 Aug 2020 14:03:32 +0200

unattended-upgrades (2.6) unstable; urgency=medium

  * debian/tests/common-functions: Drop support for Ubuntu 19.10
  * Make APT marking fallback configurable and disable it on Sid
    (Closes: #960966)
  * Drop handling pre-oldstable versions in maintainer scripts
  * data/50unattended-upgrades.md5sum: Update for config file changes

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 04 Aug 2020 17:04:29 +0200

unattended-upgrades (2.5) unstable; urgency=medium

  [ Jose Manuel Santamaria Lema ]
  * Fix crash occuring when strict whitelist is in use (LP: #1883082)

  [ Balint Reczey ]
  * Fix indentation and type error
  * Fix ambiguous variable name (Closes: #963314)
  * Run GitHub Action's autopkgtest on Groovy

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 21 Jul 2020 15:42:17 +0200

unattended-upgrades (2.4) unstable; urgency=medium

  * Fix checking if an upgrade/install marking succeeded.
    The false negative result caused unattended-upgrades trying to apply
    workarounds to upgrade/install the package using excessive amount of CPU
    time. (Closes: #958883) (LP: #1877769)
  * Treat "-" and ":" as valid parts of both Python and POSIX regular
    expressions

 -- Balint Reczey <rbalint@ubuntu.com>  Sat, 09 May 2020 16:14:14 +0200

## unattended-upgrades 2.8

=== test/packages/Makefile ===
DEBS = $(patsubst %.equivs,%.deb,$(wildcard *.equivs))

all: $(DEBS)

%.deb: %.equivs
	equivs-build $<
	@echo " Conffiles:"
	dpkg-deb -I $@ conffiles

clean:
	rm -f $(DEBS)

.PHONY: clean

=== debian/changelog ===
unattended-upgrades (2.8) unstable; urgency=medium

  [ Lucas Moura ]
  * Add xenial 50unattended-upgrades version to md5sum.
    On Xenial, we have a 50unattended-upgrades file that
    is not covered on the md5sum history file. We are now adding
    the md5sum of that Xenial file into it

  [ Balint Reczey ]
  * debian/tests/control: Add apt to test dependencies to get triggered
  * test/test_remove_unused.py: Expect APT to protect two latest kernels.
    This is a behaviour change in recent APT versions. (Closes: #980638)

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 19 Feb 2021 13:11:42 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                      pycodestyle | pep8,
 #                    powermgmt-base, (tests disable on_ac_power checks)
                      pyflakes3,
-                     python3-apt,
+                     python3-apt (>= 1.9.6~),
                      python3-mock,
                      lsb-release
 Standards-Version: 4.1.4
@@ -29,7 +29,7 @@
          ${misc:Depends},
          debconf,
          python3,
-         python3-apt,
+         python3-apt (>= 1.9.6~),
          python3-dbus,
          python3-distro-info,
          ucf,

## unattended-upgrades 2.8ubuntu1

=== debian/changelog ===
unattended-upgrades (2.8ubuntu1) jammy; urgency=medium

  * kernel/postinst.d/unattended-upgrades: check to see if canonical-livepatch
    is installed and enabled. In the event that it is and it says a reboot is
    required do not update reboot-required files so that only one reboot
    message appears in the message of the day.

 -- Brian Murray <brian@ubuntu.com>  Fri, 14 Jan 2022 14:25:41 -0800

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: unattended-upgrades
-Maintainer: Michael Vogt <mvo@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Michael Vogt <mvo@debian.org>
 Uploaders: Balint Reczey <rbalint@ubuntu.com>
 Section: admin
 Priority: optional

=== debian/tests/control ===
Tests: run-tests test-systemd.py
Depends: @, @builddeps@, apt
Restrictions: needs-root, isolation-container, needs-reboot

Tests: upgrade-all-security
Depends: @, @builddeps@, apt, debootstrap, distro-info
Restrictions: needs-root, build-needed, skippable

Tests: upgrade-between-snapshots
Restrictions: needs-root, build-needed, flaky, skippable
Depends: @, @builddeps@, apt, debootstrap

Tests: kernel-patterns
Depends: @, @builddeps@, apt
Restrictions: build-needed, allow-stderr

## unattended-upgrades 2.8ubuntu1+11.0trisquel4

=== debian/changelog ===
unattended-upgrades (2.8ubuntu1+11.0trisquel4) aramo; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 22 Jun 2022 22:11:59 +0000

## unattended-upgrades 2.9.1+nmu2ubuntu2

=== debian/changelog ===
unattended-upgrades (2.9.1+nmu2ubuntu2) lunar; urgency=medium

  * test/autopkgtest_kernel_patterns.py: Anchor running_escaped_regexp to
    ensure the test operates correctly on architectures which have kernel
    flavors that are prefixes of other flavors (e.g. -generic and -generic-64k
    under arm64).
  * d/t/control: Restrict kernel-patterns test to isolation-machine as the
    test assumes a meaningful link between the running kernel and the archive

 -- Dave Jones <dave.jones@canonical.com>  Tue, 03 Jan 2023 20:50:53 +0000

unattended-upgrades (2.9.1+nmu2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable (LP: #1998787). Remaining changes:
    - kernel/postinst.d/unattended-upgrades: check to see if canonical-
      livepatch is installed and enabled. In the event that it is and it says
      a reboot is required do not update reboot-required files so that only
      one reboot message appears in the message of the day.

 -- Dave Jones <dave.jones@canonical.com>  Mon, 05 Dec 2022 13:16:50 +0000

unattended-upgrades (2.9.1+nmu2) unstable; urgency=high

  * Non-maintainer upload.
  * setup.py: Disable automatic package discovery by setting py_modules
    to empty. (Closes: #1020150)

 -- Boyuan Yang <byang@debian.org>  Sat, 22 Oct 2022 21:28:14 -0400

unattended-upgrades (2.9.1+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:54:44 +0200

unattended-upgrades (2.9.1) unstable; urgency=medium

  [ Jean-Pierre Giraud ]
  * French translation updates (Closes: #989635)

  [ Balint Reczey ]
  * debian/tests/common-functions: Skip test if debootstrapping fails
  * debian/control: Remove myself from Uploaders

  [Michael Vogt]
  * github: fix action to use current lts as base for autopkgtest
  * github: move to latest lxd instead of hardcoding it
  * github: move action to use stable (impish) for tests

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 21 Jul 2022 14:25:14 +0200

## unattended-upgrades 2.9.1+nmu3

=== test/Makefile ===
#!/usr/bin/make

all: check

test-packages:
	$(MAKE) -C packages

check: test-packages
	set -e; \
	find . -name 'test_*.py' | \
	while read file; do \
	    if [ -x $$file ]; then \
		echo "Running $$file with python3"; \
	    	python3 $$file 2>&1; \
		echo "Running $$file with python3-coverage"; \
		python3 -m coverage run -a $$file 2>&1; \
	    fi \
	done

clean:
	$(MAKE) -C packages clean
	rm -rf ./aptroot/var/cache/
	rm -rf ./aptroot/var/lib/apt
	rm -rf ./aptroot/var/run
	find .. -type d -name __pycache__ | xargs rm -rf

coverage-html:
	echo "output in htmlcov/
	python3 -m coverage html

=== debian/changelog ===
unattended-upgrades (2.9.1+nmu3) unstable; urgency=medium

  * test: don't confuse -dbg and -unsigned with current running kernel
    (Closes: #983363, #1012226)

 -- Paul Gevers <elbrus@debian.org>  Sat, 31 Dec 2022 21:59:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: unattended-upgrades
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Michael Vogt <mvo@debian.org>
-Uploaders: Balint Reczey <rbalint@ubuntu.com>
+Origin: Devuan
+Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
+Original-Maintainer: Michael Vogt <mvo@debian.org>
 Section: admin
 Priority: optional
 Build-Depends: debhelper (>= 9.20160709),

## unattended-upgrades 2.9.1+nmu3ubuntu2

=== debian/changelog ===
unattended-upgrades (2.9.1+nmu3ubuntu2) mantic; urgency=medium

  * Make debian/tests/test-systemd.py and test/autopkgtest_kernel_patterns.py
    executable again

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 06 Jun 2023 20:28:43 +0200

unattended-upgrades (2.9.1+nmu3ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - kernel/postinst.d/unattended-upgrades: check to see if canonical-
      livepatch is installed and enabled. In the event that it is and it says
      a reboot is required do not update reboot-required files so that only
      one reboot message appears in the message of the day.
    - d/t/control: Restrict kernel-patterns test to isolation-machine as the
      test assumes a meaningful link between the running kernel and the archive

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 06 Jun 2023 12:08:19 +0200

## unattended-upgrades 2.9.1+nmu4ubuntu1

=== debian/changelog ===
unattended-upgrades (2.9.1+nmu4ubuntu1) noble; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - kernel/postinst.d/unattended-upgrades: check to see if canonical-
      livepatch is installed and enabled. In the event that it is and it says
      a reboot is required do not update reboot-required files so that only
      one reboot message appears in the message of the day.
    - d/t/control: Restrict kernel-patterns test to isolation-machine as the
      test assumes a meaningful link between the running kernel and the archive
    - Make debian/tests/test-systemd.py and test/autopkgtest_kernel_patterns.py
      executable again
  * tests/test_pep484.py, tests/test_pyflakes.py: Add a faux test to make sure
    we don't fail the test suite because the only test in the file was skipped...
    (LP: #2051541)

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 12 Feb 2024 18:50:35 +0100

unattended-upgrades (2.9.1+nmu4) unstable; urgency=medium

  * Non-maintainer upload.
  * Don't run pyflakes, it dropped support for type comments.
    (Closes: #1058172)

 -- Stefano Rivera <stefanor@debian.org>  Mon, 22 Jan 2024 16:11:59 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: unattended-upgrades
-Origin: Devuan
-Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
-Original-Maintainer: Michael Vogt <mvo@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Michael Vogt <mvo@debian.org>
 Section: admin
 Priority: optional
 Build-Depends: debhelper (>= 9.20160709),

=== debian/tests/control ===
--- 
+++ 
@@ -12,4 +12,4 @@
 
 Tests: kernel-patterns
 Depends: @, @builddeps@, apt
-Restrictions: build-needed, allow-stderr
+Restrictions: build-needed, allow-stderr, isolation-machine

## unattended-upgrades 2.9.1+nmu4ubuntu1trisquel4

=== debian/changelog ===
unattended-upgrades (2.9.1+nmu4ubuntu1trisquel4) ecne; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 08 Oct 2024 18:10:22 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: unattended-upgrades
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Michael Vogt <mvo@debian.org>
 Section: admin
 Priority: optional

## unattended-upgrades 2.12

=== test/Makefile ===
#!/usr/bin/make

all: check

test-packages:
	$(MAKE) -C packages

check: test-packages
	#PYTHONPATH=.. python3 -m unittest
	PYTHONPATH=.. coverage run -a -m pytest
	PYTHONPATH=.. coverage report unattended_upgrade.py

clean:
	$(MAKE) -C packages clean
	rm -rf ./aptroot/var/cache/
	rm -rf ./aptroot/var/lib/apt
	rm -rf ./aptroot/var/run
	find .. -type d -name __pycache__ | xargs rm -rf

coverage-html:
	python3 -m coverage html

=== debian/changelog ===
unattended-upgrades (2.12) unstable; urgency=medium

  [ middlingphys ]
  * update japanese translation

  [ Chris Hofstaedtler ]
  * Install systemd-sleep part into /usr/lib (Closes: #1073745)

  [ Adam Chovanec ]
  * document missing option in the readme

  [ Michael Vogt ]
  * u-u: supress "DeprecationWarning" about fork() and multithreading
  * test: create fake etc/apt/preferences.d to silence test warnings
  * u-u: import "email.genators" package early as workaround
  * data/50unattended-upgrades.md5sum: Update for config file changes

  [ Kenyon Ralph ]
  * unattended-upgrade-shutdown: fix typo in documentation

  [ Wesley Schwengle ]
  * Correct examples for Debian backports (Closes: #940151)

  [ Marekjdj ]
  * Fixed small typo in '50unattended-upgrades' config files.

  [ Remus-Gabriel Chelu ]
  * [INTL:ro] Romanian debconf templates translation of unattended-upgrades
    (Closes: #1033760)

  [ Atila KOÇ ]
  * [INTL:tr] turkish debconf translation update (Closes: #1031852)

  [ Camaleón ]
  * [INTL:es] Spanish translation of the debconf template (Closes: #1029026)

 -- Michael Vogt <mvo@debian.org>  Wed, 01 Jan 2025 18:22:25 +0100

unattended-upgrades (2.11+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Install systemd-sleep part into /usr/lib. (Closes: #1073745)

 -- Michael Biebl <biebl@debian.org>  Tue, 03 Sep 2024 14:46:13 +0200

unattended-upgrades (2.11) unstable; urgency=medium

  [ Alexandre Detiste ]
  * python2 cleaup
  * flake8

  [ Michael Vogt ]
  * u-u: implement plugin system with `postrun()` functionality
  * debian: switch to pytest in `debian/rules` and `test/Makefile`
  * debian/tests: pass `-Zgzip` to dpkg-deb to avoid errors in tests
  * unattended-upgrades: add debug output after run(), conffile prompt
  * tests: workaround conffile prompt in "ubuntu-advanage-tools"

 -- Michael Vogt <mvo@debian.org>  Sun, 26 May 2024 22:17:35 +0200

unattended-upgrades (2.10) unstable; urgency=medium

  * setup: add `packages=[]` to fix setuptools being confused
  * test: rework and modernize to run with pytest
  * mypy: fix/update type annotations
  * po/ru.po: update plural forms

 -- Michael Vogt <mvo@debian.org>  Mon, 12 Feb 2024 12:05:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: unattended-upgrades
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Michael Vogt <mvo@debian.org>
+Maintainer: Michael Vogt <mvo@debian.org>
 Section: admin
 Priority: optional
 Build-Depends: debhelper (>= 9.20160709),
@@ -14,11 +13,11 @@
 Build-Depends-Indep: python3-dev,
                      python3-coverage,
                      python3-distro-info,
+                     python3-pytest,
                      pycodestyle | pep8,
 #                    powermgmt-base, (tests disable on_ac_power checks)
-                     pyflakes3,
+                     flake8,
                      python3-apt (>= 1.9.6~),
-                     python3-mock,
                      lsb-release
 Standards-Version: 4.1.4
 Vcs-Git: https://github.com/mvo5/unattended-upgrades.git

=== debian/tests/control ===
Tests: run-tests test-systemd.py
Depends: @, @builddeps@, apt
Restrictions: needs-root, isolation-container, needs-reboot, allow-stderr

Tests: upgrade-all-security
Depends: @, @builddeps@, apt, debootstrap, distro-info
Restrictions: needs-root, build-needed, skippable, allow-stderr

Tests: upgrade-between-snapshots
Restrictions: needs-root, build-needed, flaky, skippable, allow-stderr
Depends: @, @builddeps@, apt, debootstrap

Tests: kernel-patterns
Depends: @, @builddeps@, apt
Restrictions: build-needed, allow-stderr

## unattended-upgrades 2.12ubuntu4

=== test/packages/Makefile ===
--- 
+++ 
@@ -8,6 +8,6 @@
 	dpkg-deb -I $@ conffiles
 
 clean:
-	rm -f $(DEBS)
+	rm -f $(DEBS) *.buildinfo *.changes
 
 .PHONY: clean

=== debian/changelog ===
unattended-upgrades (2.12ubuntu4) plucky; urgency=medium

  * Avoid harmless exception after failing to connect to dbus.

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 19 Feb 2025 11:16:36 +0100

unattended-upgrades (2.12ubuntu3) plucky; urgency=medium

  * Allow Unattended Upgrades to be postponed up to a limited amount
    of time. Desktop users will be notified of an impending upgrade and
    can choose to postpone it to a later time, if allowed. The Desktop
    user will also be shown when an upgrade is running.
    (SPEC: UD093)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 18 Feb 2025 17:15:06 +0100

unattended-upgrades (2.12ubuntu2) plucky; urgency=medium

  * Fix test failures.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 11 Feb 2025 22:40:54 -0600

unattended-upgrades (2.12ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - kernel/postinst.d/unattended-upgrades: check to see if canonical-
      livepatch is installed and enabled. In the event that it is and it says
      a reboot is required do not update reboot-required files so that only
      one reboot message appears in the message of the day.
    - d/t/control: Restrict kernel-patterns test to isolation-machine as the
      test assumes a meaningful link between the running kernel and the archive
    - Make debian/tests/test-systemd.py and test/autopkgtest_kernel_patterns.py
      executable again
    - tests/test_pep484.py: Add a faux test to make sure we don't fail the
      test suite because the only test in the file was skipped...
      (LP: #2051541)
  * Dropped changes:
    - tests/test_pyflakes.py no longer exists, so the fix for LP: #2051541 no
      longer applies.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 11 Feb 2025 16:10:13 -0600

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,16 @@
 Source: unattended-upgrades
-Maintainer: Michael Vogt <mvo@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Michael Vogt <mvo@debian.org>
 Section: admin
 Priority: optional
 Build-Depends: debhelper (>= 9.20160709),
                equivs,
+               gir1.2-glib-2.0,
+               gir1.2-polkit-1.0,
                po-debconf,
                python3,
                python3-dbus,
+               python3-dbusmock,
                python3-distutils-extra,
                python3-gi,
                python3-setuptools

=== debian/rules ===
--- 
+++ 
@@ -13,12 +13,17 @@
 	$(PYTHON) setup.py build
 
 override_dh_auto_test:
-	$(MAKE) -C test
+	$(PYTHON) -m pytest
+	# TODO: make sure this happens in the actual python test
+	make -C test/packages clean
 
 override_dh_auto_install:
 	$(PYTHON) setup.py install \
 		--root=$(CURDIR)/debian/unattended-upgrades \
 		--install-layout=deb
+
+override_dh_builddeb:
+	dh_builddeb -- $(UU_BUILDDEB_ARGS)
 
 override_dh_installinit:
 	# We do not want to run the init script in the postinst/prerm, its

=== debian/tests/control ===
--- 
+++ 
@@ -12,4 +12,4 @@
 
 Tests: kernel-patterns
 Depends: @, @builddeps@, apt
-Restrictions: build-needed, allow-stderr
+Restrictions: build-needed, allow-stderr, isolation-machine

## unattended-upgrades 2.12ubuntu5

=== debian/changelog ===
unattended-upgrades (2.12ubuntu5) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Sat, 06 Dec 2025 12:04:47 +0100

## unattended-upgrades 2.12ubuntu7

=== debian/changelog ===
unattended-upgrades (2.12ubuntu7) resolute; urgency=medium

  * unattended-upgrade: cherry-pick upstream change to fix flake8 tests

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Feb 2026 11:15:32 +0100

unattended-upgrades (2.12ubuntu6) resolute; urgency=medium

  * Fixup GLib thread context

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 10 Feb 2026 10:36:56 +0100

## unattended-upgrades 2.12+nmu1

=== debian/changelog ===
unattended-upgrades (2.12+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove unnecessary `global` statement, fixing flake8 test (closes:
    #1125393).

 -- Colin Watson <cjwatson@debian.org>  Thu, 22 Jan 2026 11:03:52 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: unattended-upgrades
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Michael Vogt <mvo@debian.org>
+Origin: Devuan
+Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
+Original-Maintainer: Michael Vogt <mvo@debian.org>
 Section: admin
 Priority: optional
 Build-Depends: debhelper (>= 9.20160709),
                equivs,
-               gir1.2-glib-2.0,
-               gir1.2-polkit-1.0,
                po-debconf,
                python3,
                python3-dbus,
-               python3-dbusmock,
                python3-distutils-extra,
                python3-gi,
                python3-setuptools
